Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Interface MetaDataLoader

All Known Implementing Classes:
  JDOMetaDataParser

public interface MetaDataLoader

The `JDOMetaDataRepository` uses implementations of this interface to load `ClassMetaData` instances.

Since:
  3.3

Method Summary
`void` | `clear()` Clear any internal caches that this loader might be maintaining.
`void` | `load(Class cls)` Load the metadata for `cls` into the repository configured via `setRepository(kodo.meta.JDOMetaDataRepository)`.
`void` | `setClassLoader(ClassLoader loader)` Set the class loader to use for loading related types.
`void` | `setEnvironmentClassLoader(ClassLoader loader)` Set the persistence environment class loader to pass on to parsed metadata instances.
`void` | `setRepository(JDOMetaDataRepository repos)` Set the `JDOMetaDataRepository` that this loader should load classes into.

Method Detail

### setClassLoader

    public void setClassLoader(ClassLoader loader)

  Set the class loader to use for loading related types.

### setEnvironmentClassLoader

    public void setEnvironmentClassLoader(ClassLoader loader)

  Set the persistence environment class loader to pass on to parsed metadata instances.

### setRepository

    public void setRepository(JDOMetaDataRepository repos)

  Set the `JDOMetaDataRepository` that this loader should load classes into.

### load

    public void load(Class cls)

  Load the metadata for `cls` into the repository configured via `setRepository(kodo.meta.JDOMetaDataRepository)`.

### clear

    public void clear()

  Clear any internal caches that this loader might be maintaining.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.